{% extends 'dragonboard-845c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set connection_commands = {'uart0': 'telnet serial-box03 7105'} %}
{% set adb_serial_number = 'd318b7d1' %}
{% set fastboot_serial_number = 'd318b7d1' %}

{# OTG port control #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave03-hub01 -m sync -u 02' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave03-hub01 -m off -u 02' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave03-hub01 -m off -u 02',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command reboot --port 3',
'/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave03-hub01 -m sync -u 02'] %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command on --port 3',
'/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave03-hub01 -m sync -u 02'] %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu03 --command off --port 3',
'/usr/local/lab-scripts/cbrxd_hub_control -n lkft-slave03-hub01 -m off -u 02'] %}
{% set device_info = [{'board_id': 'd318b7d1'}] %}
{% set storage_info = [{'SATA': '/dev/disk/by-id/ata-SanDisk_SSD_PLUS_120GB_20141L489815'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'partition:0',
                           'partition:1', 'partition:2', 'partition:3',
                           'partition:4','partition:5', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'dragonboard-845c', 'worker': 'lkft-slave03.lkftlab', 'tags': ['production', 'cambridge-lab', 'lkft', 'lcg'], 'aliases': []} %}
